
////////////////////////////////////////////////////////////
//	File:		"Animation.cpp"
//	Author:		[JW] Jason Ware
//	Modified:	[JW] November 17, 2008
//	Purpose:	Contains all the frames for a given animation.
////////////////////////////////////////////////////////////

#include "Animation.h"

#include "Frame.h"

/* Data Members */

/* Constructors */

CAnimation::CAnimation()
{

}

CAnimation::CAnimation(string szAnimationName)
{
	m_szAnimationName = szAnimationName;
	m_bIsLooping = false;
}

/* Accessors */

/* Mutators */

/* Other Functions */

/* Destructor */

CAnimation::~CAnimation()
{
	Clear();
}

////////////////////////////////////////////////////////////
//	Function:	Clear
//	Modified:	[JW] November 17, 2008
//	Purpose:	Removes all the frames.
////////////////////////////////////////////////////////////
void CAnimation::Clear()
{
	for(unsigned int i = 0; i < m_vFrameList.size(); i++)
		delete m_vFrameList[i];

	m_vFrameList.clear();
}

/* Protected Functions */

/* Private Functions */

